// ============================================================
// Project            :  SteelSkies
// File               :  .\game\behaviors\BoostTriggerBehavior.cs
// Copyright          :  
// Author             :  Corwyn
// Created on         :  Saturday, February 13, 2010 9:12 PM
//
// Editor             :  TorqueDev v. 1.2.3430.42233
//
// Description        :  
//                    :  
//                    :  
// ============================================================

if (!isObject(PlayerSpeedBoostBehavior))  
{  
   %template = new BehaviorTemplate(PlayerSpeedBoostBehavior);  
       
   %template.friendlyName  = "Player Speed Boost Trigger";  
   %template.behaviorType  = "Miscellaneous";  
   %template.description   = "Adds 100 speed to the player for 6 seconds";  
}  
   
 /// Set up the trigger  
function PlayerSpeedBoostBehavior::onAddToScene(%this, %scenegraph)  
{  
   // Make sure we're a trigger  
   if (%this.Owner.getClassName() !$= "t2dTrigger")  
   {  
      error("Blah Blah, I'm not a trigger - PlayerSpeedBoostBehavior.cs");  
      return;  
   }  
     
   // Make sure we check events properly  
   %this.Owner.setEnterCallback(1);  
   %this.Owner.setStayCallback (0);  
   %this.Owner.setLeaveCallback(0);  
     
   // Ensure that the player doesn't collide with this trigger  
   %this.Owner.setObjectType("PlayerTrigger");  
   %this.Owner.setCollidesWith("PlayerObject");  
}  
   
function PlayerSpeedBoostBehavior::onEnter(%this, %theirObject)  
{  
   %actorObject = %theirObject.getActorInstance();  
   if (isObject(%actorObject))  
   {     
      %actorObject.MaxMoveSpeed += 100;  
      schedule(6000, 0, "SetPlayerSpeed");  
      return;  
   }  
}  
   
function SetPlayerSpeed()  
{   
   //Echo("SetPlayerSpeed");  
   $player.MaxMoveSpeed = 50;    
}  